require 'fltk'

class MainWindow < FLTK::Window
  def initialize
    super(400,200,'Multi-Column ListBox'){|win|
      FLTK::Pack.new(w,h){
	@list = FLTK::ListBox.new(w, 150)
	@list.column_widths([70,50])
	@list.column_labels(['Name','Score'])
	@list.add("Mary\t25")
	@list.add("Joe\t23")
	@list.add("Robin\t19")
      }
      yield(win)
    }
  end
end

MainWindow.new{|win|
  win.show()
}
FLTK::run()
