require 'fltk'
require 'fltk/thread'

FLTK::Window.new(100,120){|w|
  c = FLTK::Clock.new(10,10,80,80)
  b = FLTK::Box.new(10,90,80,20,"??:??:??")
  b.box = FLTK::THIN_DOWN_BOX
  w.resizable(c)
  w.show()
  Thread.abort_on_exception = true
  Thread.new{
    while(true)
      b.label = sprintf("%02d:%02d:%02d", c.hour, c.minute, c.second)
      b.redraw
      sleep(1)
    end
  }
}
FLTK.run()
